OpenVDB 7.0.0

Classes | Public Types | Public Member Functions | List of all members
Cpt< InGridT, MaskGridType, InterruptT > Class Template Reference

Compute the closest-point transform of a scalar grid. More...

`#include <GridOperators.h>`

## Public Types
typedef InGridT | InGridType
typedef ScalarToVectorConverter< InGridT >::Type | OutGridType

## Public Member Functions
| Cpt (const InGridType &grid, InterruptT *interrupt=nullptr)
| Cpt (const InGridType &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
OutGridType::Ptr | process (bool threaded=true, bool useWorldTransform=true)

## Detailed Description

### template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v7_0::tools::Cpt< InGridT, MaskGridType, InterruptT >

Compute the closest-point transform of a scalar grid.

## Member Typedef Documentation

## ◆ InGridType

typedef InGridT InGridType

## ◆ OutGridType

typedef ScalarToVectorConverter<InGridT>::Type OutGridType

## Constructor & Destructor Documentation

## ◆ Cpt() [1/2]

Cpt | ( | const InGridType & | grid,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## ◆ Cpt() [2/2]

Cpt | ( | const InGridType & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ process()

OutGridType::Ptr process | ( | bool | threaded = `true`,
|  | bool | useWorldTransform = `true`
| ) |  |
| inline

The documentation for this class was generated from the following file:

- GridOperators.h